Bug 445395 - Cannot play attachment 304634 [details]
Cannot play attachment 304634
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 13:11 EDT by Matěj Cepl
Modified: 2009-07-14 13:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of gst-launch playbin with the locally downloaded attachment (3.89 KB, text/plain)
2008-05-06 13:11 EDT, Matěj Cepl
no flags Details
output of xvinfo (5.57 KB, text/plain)
2008-05-06 13:11 EDT, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (86.07 KB, text/plain)
2008-05-06 13:12 EDT, Matěj Cepl
no flags Details
/etc/X11/xorg.conf (824 bytes, text/plain)
2008-05-06 13:12 EDT, Matěj Cepl
no flags Details
EXA oddities (533.99 KB, image/png)
2008-08-14 06:03 EDT, Tadej Janež
no flags Details

  None (edit)
Description Matěj Cepl 2008-05-06 13:11:18 EDT
Description of problem:
When trying to play attachment with totem, or gst-launch playbin I get
X Error of failed request:  BadAlloc (insufficient resources for operation)
  Major opcode of failed request:  140 (XVideo)
  Minor opcode of failed request:  19 ()
  Serial number of failed request:  54
  Current serial number in output stream:  55

error message and no picture.


Version-Release number of selected component (if applicable):
gstreamer-plugins-good-0.10.7-1.fc9.x86_64
totem-2.23.2-2.fc9.x86_64
xorg-x11-drv-ati-6.8.0-12.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1.download the attachment
2 [details].try it to play with both totem and gst-launch
3.
  
Actual results:
no window opened, no image

Expected results:
everything should be beautifuly played, and I should get a free dinner

Additional info:
Comment 1 Matěj Cepl 2008-05-06 13:11:18 EDT
Created attachment 304659 [details]
output of gst-launch playbin with the locally downloaded attachment
Comment 2 Matěj Cepl 2008-05-06 13:11:45 EDT
Created attachment 304660 [details]
output of xvinfo
Comment 3 Matěj Cepl 2008-05-06 13:12:08 EDT
Created attachment 304661 [details]
/var/log/Xorg.0.log
Comment 4 Matěj Cepl 2008-05-06 13:12:28 EDT
Created attachment 304662 [details]
/etc/X11/xorg.conf
Comment 5 Matěj Cepl 2008-05-06 13:12:54 EDT
The above attachments were generated with compiz working.
Comment 6 Matěj Cepl 2008-05-06 13:15:05 EDT
With desktop-effects switched off both totem and gst-launch have no problem.
Comment 7 Matěj Cepl 2008-05-06 13:15:32 EDT
I meant attachment 304634 [details]
Comment 8 Matěj Cepl 2008-05-06 13:27:01 EDT
According to ajax, this could be related to bug 239125.
Comment 9 Bug Zapper 2008-05-14 06:43:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Tadej Janež 2008-08-13 17:30:25 EDT
Same problem here with "ATI Radeon X1200" (ChipID = 0x791f) using the "radeon" driver (I don't know whether this makes a difference).

Without "3D desktop effects" turned on, everything works correctly.

With "3D desktop effects" turned on, every video player (totem, vlc, mplayer, xine) crashes with error mentioned in the previous comments while trying to play a video file.

If you need more information from me (xorg.conf, Xorg.0.log, xvinfo, ...), I'll be glad to provide it.
Comment 11 Tadej Janež 2008-08-14 06:01:27 EDT
Setting:
Option "AccelMethod" "EXA"
in xorg.conf (as suggested in related bug reports) made videos working again.

However, now I notice several visual artifacts, especially annoying are the ones,
where parts of images don't show up in Firefox and elsewhere (a light gray rectangle is rendered in its place). See the attached image.
Comment 12 Tadej Janež 2008-08-14 06:03:32 EDT
Created attachment 314301 [details]
EXA oddities

Note the images not showing up in Firefox and world map not visible in Clock applet.
Comment 13 Bug Zapper 2009-06-09 20:38:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:29:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.